package sun.awt.windows;

import java.awt.Point;
import java.awt.Cursor;
import java.awt.Component;
import sun.awt.GlobalCursorManager;

final class WGlobalCursorManager extends GlobalCursorManager
{
    private static WGlobalCursorManager manager;
    
    WGlobalCursorManager() {
    }
    
    public static GlobalCursorManager getCursorManager() {
        if (WGlobalCursorManager.manager == null) {
            WGlobalCursorManager.manager = new WGlobalCursorManager();
        }
        return WGlobalCursorManager.manager;
    }
    
    public static void nativeUpdateCursor(Component heavy) {
        getCursorManager().updateCursorLater(heavy);
    }
    
    @Override
    protected native void setCursor(Component p0, Cursor p1, boolean p2);
    
    @Override
    protected native void getCursorPos(Point p0);
    
    @Override
    protected native Component findHeavyweightUnderCursor(boolean p0);
    
    @Override
    protected native Point getLocationOnScreen(Component p0);
}
